Package org.apache.tools.ant.taskdefs.optional

# Class PropertyFile.Entry.Type

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.PropertyFile.Entry.Type

Enclosing class:
  PropertyFile.Entry

    public static class PropertyFile.Entry.Type
    extends EnumeratedAttribute

Enumerated attribute with the values "int", "date" and "string".

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `DATE_TYPE` | date
  `static int` | `INTEGER_TYPE` | int
  `static int` | `STRING_TYPE` | string

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Type()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `getValues()` | This is the only method a subclass needs to implement.
  `static int` | `toType​(java.lang.String type)` | Convert string to index.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### INTEGER_TYPE

    public static final int INTEGER_TYPE
    int
    See Also:
      Constant Field Values

  - ### DATE_TYPE

    public static final int DATE_TYPE
    date
    See Also:
      Constant Field Values

  - ### STRING_TYPE

    public static final int STRING_TYPE
    string
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Type

    public Type()

- ## Method Details

  - ### getValues

    public java.lang.String[] getValues()
    This is the only method a subclass needs to implement.
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

  - ### toType

    public static int toType​(java.lang.String type)
    Convert string to index.
    Parameters:
      `type` - the string to convert.
    Returns:
      the index.